Skip to main content
POST
/
vendors
/
midjourney
/
v1
/
tob
/
diffusion
Text to Image
curl --request POST \
  --url https://api.mulerouter.ai/vendors/midjourney/v1/tob/diffusion \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A delicious-looking molten chocolate lava cake that has been cut open."
}
'
{
  "task_info": {
    "id": "8e1e315e-b50d-4334-a231-be7d19a372f4",
    "status": "pending",
    "created_at": "2025-09-21T00:00:00.000Z",
    "updated_at": "2025-09-21T00:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://mulerouter.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

The prompt parameter is compatible with Midjourney’s format. Please refer to Midjourney’s official documentation for more details.

Pricing

Task NameModePricing
DiffusionFast Mode0.085$ Per Image
Turbo Mode0.17$ Per Image
Draft Mode (Fast)0.0425$ Per Image
Draft Mode (Turbo)0.085$ Per Image

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Text to Image generation request body

prompt
string
required

Text prompt for image generation. Must be between 1 and 8192 characters. This prompt is compatible with Midjourney's format.

Required string length: 1 - 8192

Response

202 - application/json

Task accepted and queued for processing

task_info
object
required